# api_of_elsa_panel

ApiOfElsaPanel - JavaScript client for api_of_elsa_panel
Restful api.
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.1.1
- Package version: 1.1.1
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen
For more information, please visit [https://chenxl.cn/blog](https://chenxl.cn/blog)

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install api_of_elsa_panel --save
```

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var ApiOfElsaPanel = require('api_of_elsa_panel');

var defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
var apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix['X-Auth-Token'] = "Token"

var api = new ApiOfElsaPanel.AlbumPanelApi()

var id = "id_example"; // {String} id

api.blockAlbum(id).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});


```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApiOfElsaPanel.AlbumPanelApi* | [**blockAlbum**](docs/AlbumPanelApi.md#blockAlbum) | **POST** /panel/v1/album/{id}/action/block | 禁用指定相册
*ApiOfElsaPanel.AlbumPanelApi* | [**likesOfAlbum**](docs/AlbumPanelApi.md#likesOfAlbum) | **GET** /panel/v1/album/{id}/like | 获取指定相册的点赞记录
*ApiOfElsaPanel.AlbumPanelApi* | [**listAlbum**](docs/AlbumPanelApi.md#listAlbum) | **GET** /panel/v1/album | 相册列表
*ApiOfElsaPanel.AlbumPanelApi* | [**setAlbumInVisible**](docs/AlbumPanelApi.md#setAlbumInVisible) | **POST** /panel/v1/album/{id}/action/invisible | 取消公开指定相册
*ApiOfElsaPanel.AlbumPanelApi* | [**setAlbumVisible**](docs/AlbumPanelApi.md#setAlbumVisible) | **POST** /panel/v1/album/{id}/action/visible | 公开指定相册
*ApiOfElsaPanel.AlbumPanelApi* | [**showAlbum**](docs/AlbumPanelApi.md#showAlbum) | **GET** /panel/v1/album/{id} | 获取指定相册信息
*ApiOfElsaPanel.AlbumPanelApi* | [**unblockAlbum**](docs/AlbumPanelApi.md#unblockAlbum) | **POST** /panel/v1/album/{id}/action/unblock | 取消禁用指定相册
*ApiOfElsaPanel.AppVersionPanelApi* | [**createAppVersion**](docs/AppVersionPanelApi.md#createAppVersion) | **POST** /panel/v1/appVersion | 创建版本
*ApiOfElsaPanel.AppVersionPanelApi* | [**disableAppVersion**](docs/AppVersionPanelApi.md#disableAppVersion) | **POST** /panel/v1/appVersion/{id}/disable | 禁用指定APP版本
*ApiOfElsaPanel.AppVersionPanelApi* | [**enableAppVersion**](docs/AppVersionPanelApi.md#enableAppVersion) | **POST** /panel/v1/appVersion/{id}/enable | 启用指定APP版本信息
*ApiOfElsaPanel.AppVersionPanelApi* | [**listAppVersion**](docs/AppVersionPanelApi.md#listAppVersion) | **GET** /panel/v1/appVersion | APP版本列表
*ApiOfElsaPanel.AppVersionPanelApi* | [**showAppVersion**](docs/AppVersionPanelApi.md#showAppVersion) | **GET** /panel/v1/appVersion/{id} | 获取指定APP版本信息
*ApiOfElsaPanel.AuthPanelApi* | [**byUsernameAndPassword**](docs/AuthPanelApi.md#byUsernameAndPassword) | **POST** /panel/v1/auth | 用户名密码登录
*ApiOfElsaPanel.BillPanelApi* | [**listBill**](docs/BillPanelApi.md#listBill) | **GET** /panel/v1/bill | 账单列表
*ApiOfElsaPanel.BillPanelApi* | [**showBill**](docs/BillPanelApi.md#showBill) | **GET** /panel/v1/bill/{id} | 获取指定账单信息
*ApiOfElsaPanel.FeedbackPanelApi* | [**listFeedback**](docs/FeedbackPanelApi.md#listFeedback) | **GET** /panel/v1/feedback | 反馈列表
*ApiOfElsaPanel.FolkPanelApi* | [**listFolk**](docs/FolkPanelApi.md#listFolk) | **GET** /panel/v1/folk | 用户列表
*ApiOfElsaPanel.FolkPanelApi* | [**showFolk**](docs/FolkPanelApi.md#showFolk) | **GET** /panel/v1/folk/{id} | 获取指定用户信息
*ApiOfElsaPanel.FontPanelApi* | [**createFont**](docs/FontPanelApi.md#createFont) | **POST** /panel/v1/font | 创建字体
*ApiOfElsaPanel.FontPanelApi* | [**deleteFont**](docs/FontPanelApi.md#deleteFont) | **POST** /panel/v1/font/{fontId} | 删除字体
*ApiOfElsaPanel.FontPanelApi* | [**listFont**](docs/FontPanelApi.md#listFont) | **GET** /panel/v1/font | 字体列表
*ApiOfElsaPanel.GorillaPanelApi* | [**createGorilla**](docs/GorillaPanelApi.md#createGorilla) | **POST** /panel/v1/gorilla | 创建管理员
*ApiOfElsaPanel.GorillaPanelApi* | [**listGorilla**](docs/GorillaPanelApi.md#listGorilla) | **GET** /panel/v1/gorilla | 管理员列表
*ApiOfElsaPanel.GorillaPanelApi* | [**me**](docs/GorillaPanelApi.md#me) | **GET** /panel/v1/gorilla/me | 当前用户信息
*ApiOfElsaPanel.MusicPanelApi* | [**createMusic**](docs/MusicPanelApi.md#createMusic) | **POST** /panel/v1/music | 创建音乐
*ApiOfElsaPanel.MusicPanelApi* | [**deleteMusic**](docs/MusicPanelApi.md#deleteMusic) | **POST** /panel/v1/music/{musicId} | 删除音乐
*ApiOfElsaPanel.MusicPanelApi* | [**listMusic**](docs/MusicPanelApi.md#listMusic) | **GET** /panel/v1/music | 音乐列表
*ApiOfElsaPanel.PlanPanelApi* | [**createPlan**](docs/PlanPanelApi.md#createPlan) | **POST** /panel/v1/plan | 创建服务计划
*ApiOfElsaPanel.PlanPanelApi* | [**listPlan**](docs/PlanPanelApi.md#listPlan) | **GET** /panel/v1/plan | 服务计划列表
*ApiOfElsaPanel.PlanPanelApi* | [**offPlan**](docs/PlanPanelApi.md#offPlan) | **POST** /panel/v1/plan/{id}/off | 下架指定服务计划
*ApiOfElsaPanel.PlanPanelApi* | [**onPlan**](docs/PlanPanelApi.md#onPlan) | **POST** /panel/v1/plan/{id}/on | 下架指定服务计划
*ApiOfElsaPanel.PlanPanelApi* | [**show**](docs/PlanPanelApi.md#show) | **GET** /panel/v1/plan/{id} | 获取指定服务计划信息
*ApiOfElsaPanel.TradePanelApi* | [**listTrade**](docs/TradePanelApi.md#listTrade) | **GET** /panel/v1/trade | 交易列表
*ApiOfElsaPanel.TradePanelApi* | [**showTrade**](docs/TradePanelApi.md#showTrade) | **GET** /panel/v1/trade/{id} | 获取指定交易信息


## Documentation for Models

 - [ApiOfElsaPanel.AlbumLikeVO](docs/AlbumLikeVO.md)
 - [ApiOfElsaPanel.AlbumVO](docs/AlbumVO.md)
 - [ApiOfElsaPanel.AppVersionVO](docs/AppVersionVO.md)
 - [ApiOfElsaPanel.AuthVO](docs/AuthVO.md)
 - [ApiOfElsaPanel.BillVO](docs/BillVO.md)
 - [ApiOfElsaPanel.CreateAppVersionDTO](docs/CreateAppVersionDTO.md)
 - [ApiOfElsaPanel.CreateFontDTO](docs/CreateFontDTO.md)
 - [ApiOfElsaPanel.CreateGorillaDTO](docs/CreateGorillaDTO.md)
 - [ApiOfElsaPanel.CreateMusicDTO](docs/CreateMusicDTO.md)
 - [ApiOfElsaPanel.CreatePlanDTO](docs/CreatePlanDTO.md)
 - [ApiOfElsaPanel.FeedbackVO](docs/FeedbackVO.md)
 - [ApiOfElsaPanel.FolkVO](docs/FolkVO.md)
 - [ApiOfElsaPanel.FontVO](docs/FontVO.md)
 - [ApiOfElsaPanel.Gorilla](docs/Gorilla.md)
 - [ApiOfElsaPanel.GorillaVO](docs/GorillaVO.md)
 - [ApiOfElsaPanel.MusicVO](docs/MusicVO.md)
 - [ApiOfElsaPanel.PageAlbumLikeVO](docs/PageAlbumLikeVO.md)
 - [ApiOfElsaPanel.PageAlbumVO](docs/PageAlbumVO.md)
 - [ApiOfElsaPanel.PageAppVersionVO](docs/PageAppVersionVO.md)
 - [ApiOfElsaPanel.PageBillVO](docs/PageBillVO.md)
 - [ApiOfElsaPanel.PageFeedbackVO](docs/PageFeedbackVO.md)
 - [ApiOfElsaPanel.PageFolkVO](docs/PageFolkVO.md)
 - [ApiOfElsaPanel.PageFontVO](docs/PageFontVO.md)
 - [ApiOfElsaPanel.PageGorillaVO](docs/PageGorillaVO.md)
 - [ApiOfElsaPanel.PageMusicVO](docs/PageMusicVO.md)
 - [ApiOfElsaPanel.PagePlanVO](docs/PagePlanVO.md)
 - [ApiOfElsaPanel.PageTradeVO](docs/PageTradeVO.md)
 - [ApiOfElsaPanel.PlanVO](docs/PlanVO.md)
 - [ApiOfElsaPanel.R](docs/R.md)
 - [ApiOfElsaPanel.RAlbumVO](docs/RAlbumVO.md)
 - [ApiOfElsaPanel.RAppVersionVO](docs/RAppVersionVO.md)
 - [ApiOfElsaPanel.RAuthVO](docs/RAuthVO.md)
 - [ApiOfElsaPanel.RBillVO](docs/RBillVO.md)
 - [ApiOfElsaPanel.RFolkVO](docs/RFolkVO.md)
 - [ApiOfElsaPanel.RFontVO](docs/RFontVO.md)
 - [ApiOfElsaPanel.RGorillaVO](docs/RGorillaVO.md)
 - [ApiOfElsaPanel.RMusicVO](docs/RMusicVO.md)
 - [ApiOfElsaPanel.RPageAlbumLikeVO](docs/RPageAlbumLikeVO.md)
 - [ApiOfElsaPanel.RPageAlbumVO](docs/RPageAlbumVO.md)
 - [ApiOfElsaPanel.RPageAppVersionVO](docs/RPageAppVersionVO.md)
 - [ApiOfElsaPanel.RPageBillVO](docs/RPageBillVO.md)
 - [ApiOfElsaPanel.RPageFeedbackVO](docs/RPageFeedbackVO.md)
 - [ApiOfElsaPanel.RPageFolkVO](docs/RPageFolkVO.md)
 - [ApiOfElsaPanel.RPageFontVO](docs/RPageFontVO.md)
 - [ApiOfElsaPanel.RPageGorillaVO](docs/RPageGorillaVO.md)
 - [ApiOfElsaPanel.RPageMusicVO](docs/RPageMusicVO.md)
 - [ApiOfElsaPanel.RPagePlanVO](docs/RPagePlanVO.md)
 - [ApiOfElsaPanel.RPageTradeVO](docs/RPageTradeVO.md)
 - [ApiOfElsaPanel.RPlanVO](docs/RPlanVO.md)
 - [ApiOfElsaPanel.RTradeVO](docs/RTradeVO.md)
 - [ApiOfElsaPanel.RVoid](docs/RVoid.md)
 - [ApiOfElsaPanel.SimpleGrantedAuthority](docs/SimpleGrantedAuthority.md)
 - [ApiOfElsaPanel.Sort](docs/Sort.md)
 - [ApiOfElsaPanel.TradeVO](docs/TradeVO.md)
 - [ApiOfElsaPanel.UsernamePasswordDTO](docs/UsernamePasswordDTO.md)


## Documentation for Authorization


### apiKey

- **Type**: API key
- **API key parameter name**: X-Auth-Token
- **Location**: HTTP header

