# ApiOfElsaPanel.BillPanelApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**listBill**](BillPanelApi.md#listBill) | **GET** /panel/v1/bill | 账单列表
[**showBill**](BillPanelApi.md#showBill) | **GET** /panel/v1/bill/{id} | 获取指定账单信息


<a name="listBill"></a>
# **listBill**
> RPageBillVO listBill(opts)

账单列表

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.BillPanelApi();

let opts = { 
  'createdFrom': new Date("2013-10-20T19:20:30+01:00"), // Date | 
  'folkId': 789, // Number | 
  'method': "method_example", // String | 
  'page': 56, // Number | 
  'planId': 789, // Number | 
  'size': 56, // Number | 
  'sort': "sort_example", // String | 
  'status': "status_example" // String | 
};
apiInstance.listBill(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **createdFrom** | **Date**|  | [optional] 
 **folkId** | **Number**|  | [optional] 
 **method** | **String**|  | [optional] 
 **page** | **Number**|  | [optional] 
 **planId** | **Number**|  | [optional] 
 **size** | **Number**|  | [optional] 
 **sort** | **String**|  | [optional] 
 **status** | **String**|  | [optional] 

### Return type

[**RPageBillVO**](RPageBillVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="showBill"></a>
# **showBill**
> RBillVO showBill(id)

获取指定账单信息

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.BillPanelApi();

let id = 789; // Number | id

apiInstance.showBill(id).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Number**| id | 

### Return type

[**RBillVO**](RBillVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

