# ApiOfElsaPanel.FolkPanelApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**listFolk**](FolkPanelApi.md#listFolk) | **GET** /panel/v1/folk | 用户列表
[**showFolk**](FolkPanelApi.md#showFolk) | **GET** /panel/v1/folk/{id} | 获取指定用户信息


<a name="listFolk"></a>
# **listFolk**
> RPageFolkVO listFolk(opts)

用户列表

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.FolkPanelApi();

let opts = { 
  'createdFrom': new Date("2013-10-20T19:20:30+01:00"), // Date | 
  'gender': "gender_example", // String | 
  'nickname': "nickname_example", // String | 
  'page': 56, // Number | 
  'size': 56, // Number | 
  'sort': "sort_example", // String | 
  'type': "type_example" // String | 
};
apiInstance.listFolk(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **createdFrom** | **Date**|  | [optional] 
 **gender** | **String**|  | [optional] 
 **nickname** | **String**|  | [optional] 
 **page** | **Number**|  | [optional] 
 **size** | **Number**|  | [optional] 
 **sort** | **String**|  | [optional] 
 **type** | **String**|  | [optional] 

### Return type

[**RPageFolkVO**](RPageFolkVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="showFolk"></a>
# **showFolk**
> RFolkVO showFolk(id)

获取指定用户信息

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.FolkPanelApi();

let id = 789; // Number | id

apiInstance.showFolk(id).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Number**| id | 

### Return type

[**RFolkVO**](RFolkVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

