# ApiOfElsaPanel.GorillaPanelApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**createGorilla**](GorillaPanelApi.md#createGorilla) | **POST** /panel/v1/gorilla | 创建管理员
[**listGorilla**](GorillaPanelApi.md#listGorilla) | **GET** /panel/v1/gorilla | 管理员列表
[**me**](GorillaPanelApi.md#me) | **GET** /panel/v1/gorilla/me | 当前用户信息


<a name="createGorilla"></a>
# **createGorilla**
> RGorillaVO createGorilla(request)

创建管理员

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.GorillaPanelApi();

let request = new ApiOfElsaPanel.CreateGorillaDTO(); // CreateGorillaDTO | request

apiInstance.createGorilla(request).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **request** | [**CreateGorillaDTO**](CreateGorillaDTO.md)| request | 

### Return type

[**RGorillaVO**](RGorillaVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="listGorilla"></a>
# **listGorilla**
> RPageGorillaVO listGorilla(opts)

管理员列表

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.GorillaPanelApi();

let opts = { 
  'page': 56, // Number | 
  'size': 56, // Number | 
  'sort': "sort_example" // String | 
};
apiInstance.listGorilla(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page** | **Number**|  | [optional] 
 **size** | **Number**|  | [optional] 
 **sort** | **String**|  | [optional] 

### Return type

[**RPageGorillaVO**](RPageGorillaVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="me"></a>
# **me**
> RGorillaVO me(opts)

当前用户信息

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.GorillaPanelApi();

let opts = { 
  'accountNonExpired': true, // Boolean | 
  'accountNonLocked': true, // Boolean | 
  'authorities0Authority': "authorities0Authority_example", // String | 
  'createdByAccountNonExpired': true, // Boolean | 
  'createdByAccountNonLocked': true, // Boolean | 
  'createdByAuthorities0Authority': "createdByAuthorities0Authority_example", // String | 
  'createdByCredentialsNonExpired': true, // Boolean | 
  'createdByDisabled': true, // Boolean | 
  'createdByEnabled': true, // Boolean | 
  'createdByExpired': true, // Boolean | 
  'createdByLocked': true, // Boolean | 
  'createdByNickname': "createdByNickname_example", // String | 
  'createdByPassword': "createdByPassword_example", // String | 
  'createdByType': "createdByType_example", // String | 
  'createdByUsername': "createdByUsername_example", // String | 
  'createdDate': new Date("2013-10-20T19:20:30+01:00"), // Date | 
  'credentialsNonExpired': true, // Boolean | 
  'disabled': true, // Boolean | 
  'enabled': true, // Boolean | 
  'expired': true, // Boolean | 
  'lastModifiedByAccountNonExpired': true, // Boolean | 
  'lastModifiedByAccountNonLocked': true, // Boolean | 
  'lastModifiedByAuthorities0Authority': "lastModifiedByAuthorities0Authority_example", // String | 
  'lastModifiedByCredentialsNonExpired': true, // Boolean | 
  'lastModifiedByDisabled': true, // Boolean | 
  'lastModifiedByEnabled': true, // Boolean | 
  'lastModifiedByExpired': true, // Boolean | 
  'lastModifiedByLocked': true, // Boolean | 
  'lastModifiedByNickname': "lastModifiedByNickname_example", // String | 
  'lastModifiedByPassword': "lastModifiedByPassword_example", // String | 
  'lastModifiedByType': "lastModifiedByType_example", // String | 
  'lastModifiedByUsername': "lastModifiedByUsername_example", // String | 
  'lastModifiedDate': new Date("2013-10-20T19:20:30+01:00"), // Date | 
  'locked': true, // Boolean | 
  'nickname': "nickname_example", // String | 
  'password': "password_example", // String | 
  'type': "type_example", // String | 
  'username': "username_example" // String | 
};
apiInstance.me(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountNonExpired** | **Boolean**|  | [optional] 
 **accountNonLocked** | **Boolean**|  | [optional] 
 **authorities0Authority** | **String**|  | [optional] 
 **createdByAccountNonExpired** | **Boolean**|  | [optional] 
 **createdByAccountNonLocked** | **Boolean**|  | [optional] 
 **createdByAuthorities0Authority** | **String**|  | [optional] 
 **createdByCredentialsNonExpired** | **Boolean**|  | [optional] 
 **createdByDisabled** | **Boolean**|  | [optional] 
 **createdByEnabled** | **Boolean**|  | [optional] 
 **createdByExpired** | **Boolean**|  | [optional] 
 **createdByLocked** | **Boolean**|  | [optional] 
 **createdByNickname** | **String**|  | [optional] 
 **createdByPassword** | **String**|  | [optional] 
 **createdByType** | **String**|  | [optional] 
 **createdByUsername** | **String**|  | [optional] 
 **createdDate** | **Date**|  | [optional] 
 **credentialsNonExpired** | **Boolean**|  | [optional] 
 **disabled** | **Boolean**|  | [optional] 
 **enabled** | **Boolean**|  | [optional] 
 **expired** | **Boolean**|  | [optional] 
 **lastModifiedByAccountNonExpired** | **Boolean**|  | [optional] 
 **lastModifiedByAccountNonLocked** | **Boolean**|  | [optional] 
 **lastModifiedByAuthorities0Authority** | **String**|  | [optional] 
 **lastModifiedByCredentialsNonExpired** | **Boolean**|  | [optional] 
 **lastModifiedByDisabled** | **Boolean**|  | [optional] 
 **lastModifiedByEnabled** | **Boolean**|  | [optional] 
 **lastModifiedByExpired** | **Boolean**|  | [optional] 
 **lastModifiedByLocked** | **Boolean**|  | [optional] 
 **lastModifiedByNickname** | **String**|  | [optional] 
 **lastModifiedByPassword** | **String**|  | [optional] 
 **lastModifiedByType** | **String**|  | [optional] 
 **lastModifiedByUsername** | **String**|  | [optional] 
 **lastModifiedDate** | **Date**|  | [optional] 
 **locked** | **Boolean**|  | [optional] 
 **nickname** | **String**|  | [optional] 
 **password** | **String**|  | [optional] 
 **type** | **String**|  | [optional] 
 **username** | **String**|  | [optional] 

### Return type

[**RGorillaVO**](RGorillaVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

