# ApiOfElsaPanel.MusicPanelApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**createMusic**](MusicPanelApi.md#createMusic) | **POST** /panel/v1/music | 创建音乐
[**deleteMusic**](MusicPanelApi.md#deleteMusic) | **POST** /panel/v1/music/{musicId} | 删除音乐
[**listMusic**](MusicPanelApi.md#listMusic) | **GET** /panel/v1/music | 音乐列表


<a name="createMusic"></a>
# **createMusic**
> RMusicVO createMusic(request)

创建音乐

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.MusicPanelApi();

let request = new ApiOfElsaPanel.CreateMusicDTO(); // CreateMusicDTO | request

apiInstance.createMusic(request).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **request** | [**CreateMusicDTO**](CreateMusicDTO.md)| request | 

### Return type

[**RMusicVO**](RMusicVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="deleteMusic"></a>
# **deleteMusic**
> deleteMusic(musicId)

删除音乐

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.MusicPanelApi();

let musicId = "musicId_example"; // String | musicId

apiInstance.deleteMusic(musicId).then(() => {
  console.log('API called successfully.');
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **musicId** | **String**| musicId | 

### Return type

null (empty response body)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="listMusic"></a>
# **listMusic**
> RPageMusicVO listMusic(opts)

音乐列表

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.MusicPanelApi();

let opts = { 
  'page': 56, // Number | 
  'size': 56, // Number | 
  'sort': "sort_example" // String | 
};
apiInstance.listMusic(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page** | **Number**|  | [optional] 
 **size** | **Number**|  | [optional] 
 **sort** | **String**|  | [optional] 

### Return type

[**RPageMusicVO**](RPageMusicVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

