# ApiOfElsaPanel.TradePanelApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**listTrade**](TradePanelApi.md#listTrade) | **GET** /panel/v1/trade | 交易列表
[**showTrade**](TradePanelApi.md#showTrade) | **GET** /panel/v1/trade/{id} | 获取指定交易信息


<a name="listTrade"></a>
# **listTrade**
> RPageTradeVO listTrade(opts)

交易列表

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.TradePanelApi();

let opts = { 
  'page': 56, // Number | 
  'size': 56, // Number | 
  'sort': "sort_example" // String | 
};
apiInstance.listTrade(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page** | **Number**|  | [optional] 
 **size** | **Number**|  | [optional] 
 **sort** | **String**|  | [optional] 

### Return type

[**RPageTradeVO**](RPageTradeVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="showTrade"></a>
# **showTrade**
> RTradeVO showTrade(id)

获取指定交易信息

### Example
```javascript
import ApiOfElsaPanel from 'api_of_elsa_panel';
let defaultClient = ApiOfElsaPanel.ApiClient.instance;

// Configure API key authorization: apiKey
let apiKey = defaultClient.authentications['apiKey'];
apiKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKey.apiKeyPrefix = 'Token';

let apiInstance = new ApiOfElsaPanel.TradePanelApi();

let id = 789; // Number | id

apiInstance.showTrade(id).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Number**| id | 

### Return type

[**RTradeVO**](RTradeVO.md)

### Authorization

[apiKey](../README.md#apiKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

