/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RAlbumVO from '../model/RAlbumVO';
import RPageAlbumLikeVO from '../model/RPageAlbumLikeVO';
import RPageAlbumVO from '../model/RPageAlbumVO';
import RVoid from '../model/RVoid';

/**
* AlbumPanel service.
* @module api/AlbumPanelApi
* @version 1.1.1
*/
export default class AlbumPanelApi {

    /**
    * Constructs a new AlbumPanelApi. 
    * @alias module:api/AlbumPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 禁用指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RVoid} and HTTP response
     */
    blockAlbumWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling blockAlbum");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RVoid;

      return this.apiClient.callApi(
        '/panel/v1/album/{id}/action/block', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 禁用指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RVoid}
     */
    blockAlbum(id) {
      return this.blockAlbumWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 获取指定相册的点赞记录
     * @param {String} id id
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageAlbumLikeVO} and HTTP response
     */
    likesOfAlbumWithHttpInfo(id, opts) {
      opts = opts || {};
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling likesOfAlbum");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
        'page': opts['page'],
        'size': opts['size'],
        'sort': opts['sort']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageAlbumLikeVO;

      return this.apiClient.callApi(
        '/panel/v1/album/{id}/like', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 获取指定相册的点赞记录
     * @param {String} id id
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageAlbumLikeVO}
     */
    likesOfAlbum(id, opts) {
      return this.likesOfAlbumWithHttpInfo(id, opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 相册列表
     * @param {Object} opts Optional parameters
     * @param {Date} opts.createdFrom 
     * @param {Number} opts.folkId 
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageAlbumVO} and HTTP response
     */
    listAlbumWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'createdFrom': opts['createdFrom'],
        'folkId': opts['folkId'],
        'page': opts['page'],
        'size': opts['size'],
        'sort': opts['sort']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageAlbumVO;

      return this.apiClient.callApi(
        '/panel/v1/album', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 相册列表
     * @param {Object} opts Optional parameters
     * @param {Date} opts.createdFrom 
     * @param {Number} opts.folkId 
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageAlbumVO}
     */
    listAlbum(opts) {
      return this.listAlbumWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 取消公开指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RVoid} and HTTP response
     */
    setAlbumInVisibleWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling setAlbumInVisible");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RVoid;

      return this.apiClient.callApi(
        '/panel/v1/album/{id}/action/invisible', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 取消公开指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RVoid}
     */
    setAlbumInVisible(id) {
      return this.setAlbumInVisibleWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 公开指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RVoid} and HTTP response
     */
    setAlbumVisibleWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling setAlbumVisible");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RVoid;

      return this.apiClient.callApi(
        '/panel/v1/album/{id}/action/visible', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 公开指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RVoid}
     */
    setAlbumVisible(id) {
      return this.setAlbumVisibleWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 获取指定相册信息
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RAlbumVO} and HTTP response
     */
    showAlbumWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling showAlbum");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RAlbumVO;

      return this.apiClient.callApi(
        '/panel/v1/album/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 获取指定相册信息
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RAlbumVO}
     */
    showAlbum(id) {
      return this.showAlbumWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 取消禁用指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RVoid} and HTTP response
     */
    unblockAlbumWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling unblockAlbum");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RVoid;

      return this.apiClient.callApi(
        '/panel/v1/album/{id}/action/unblock', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 取消禁用指定相册
     * @param {String} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RVoid}
     */
    unblockAlbum(id) {
      return this.unblockAlbumWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
