/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RAuthVO from '../model/RAuthVO';
import UsernamePasswordDTO from '../model/UsernamePasswordDTO';

/**
* AuthPanel service.
* @module api/AuthPanelApi
* @version 1.1.1
*/
export default class AuthPanelApi {

    /**
    * Constructs a new AuthPanelApi. 
    * @alias module:api/AuthPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 用户名密码登录
     * @param {module:model/UsernamePasswordDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RAuthVO} and HTTP response
     */
    byUsernameAndPasswordWithHttpInfo(request) {
      let postBody = request;

      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling byUsernameAndPassword");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RAuthVO;

      return this.apiClient.callApi(
        '/panel/v1/auth', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 用户名密码登录
     * @param {module:model/UsernamePasswordDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RAuthVO}
     */
    byUsernameAndPassword(request) {
      return this.byUsernameAndPasswordWithHttpInfo(request)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
