/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RBillVO from '../model/RBillVO';
import RPageBillVO from '../model/RPageBillVO';

/**
* BillPanel service.
* @module api/BillPanelApi
* @version 1.1.1
*/
export default class BillPanelApi {

    /**
    * Constructs a new BillPanelApi. 
    * @alias module:api/BillPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 账单列表
     * @param {Object} opts Optional parameters
     * @param {Date} opts.createdFrom 
     * @param {Number} opts.folkId 
     * @param {module:model/String} opts.method 
     * @param {Number} opts.page 
     * @param {Number} opts.planId 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @param {module:model/String} opts.status 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageBillVO} and HTTP response
     */
    listBillWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'createdFrom': opts['createdFrom'],
        'folkId': opts['folkId'],
        'method': opts['method'],
        'page': opts['page'],
        'planId': opts['planId'],
        'size': opts['size'],
        'sort': opts['sort'],
        'status': opts['status']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageBillVO;

      return this.apiClient.callApi(
        '/panel/v1/bill', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 账单列表
     * @param {Object} opts Optional parameters
     * @param {Date} opts.createdFrom 
     * @param {Number} opts.folkId 
     * @param {module:model/String} opts.method 
     * @param {Number} opts.page 
     * @param {Number} opts.planId 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @param {module:model/String} opts.status 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageBillVO}
     */
    listBill(opts) {
      return this.listBillWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 获取指定账单信息
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RBillVO} and HTTP response
     */
    showBillWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling showBill");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RBillVO;

      return this.apiClient.callApi(
        '/panel/v1/bill/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 获取指定账单信息
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RBillVO}
     */
    showBill(id) {
      return this.showBillWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
