/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RFolkVO from '../model/RFolkVO';
import RPageFolkVO from '../model/RPageFolkVO';

/**
* FolkPanel service.
* @module api/FolkPanelApi
* @version 1.1.1
*/
export default class FolkPanelApi {

    /**
    * Constructs a new FolkPanelApi. 
    * @alias module:api/FolkPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 用户列表
     * @param {Object} opts Optional parameters
     * @param {Date} opts.createdFrom 
     * @param {module:model/String} opts.gender 
     * @param {String} opts.nickname 
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @param {module:model/String} opts.type 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageFolkVO} and HTTP response
     */
    listFolkWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'createdFrom': opts['createdFrom'],
        'gender': opts['gender'],
        'nickname': opts['nickname'],
        'page': opts['page'],
        'size': opts['size'],
        'sort': opts['sort'],
        'type': opts['type']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageFolkVO;

      return this.apiClient.callApi(
        '/panel/v1/folk', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 用户列表
     * @param {Object} opts Optional parameters
     * @param {Date} opts.createdFrom 
     * @param {module:model/String} opts.gender 
     * @param {String} opts.nickname 
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @param {module:model/String} opts.type 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageFolkVO}
     */
    listFolk(opts) {
      return this.listFolkWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 获取指定用户信息
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RFolkVO} and HTTP response
     */
    showFolkWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling showFolk");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RFolkVO;

      return this.apiClient.callApi(
        '/panel/v1/folk/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 获取指定用户信息
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RFolkVO}
     */
    showFolk(id) {
      return this.showFolkWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
