/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import CreateFontDTO from '../model/CreateFontDTO';
import RFontVO from '../model/RFontVO';
import RPageFontVO from '../model/RPageFontVO';

/**
* FontPanel service.
* @module api/FontPanelApi
* @version 1.1.1
*/
export default class FontPanelApi {

    /**
    * Constructs a new FontPanelApi. 
    * @alias module:api/FontPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 创建字体
     * @param {module:model/CreateFontDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RFontVO} and HTTP response
     */
    createFontWithHttpInfo(request) {
      let postBody = request;

      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling createFont");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RFontVO;

      return this.apiClient.callApi(
        '/panel/v1/font', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 创建字体
     * @param {module:model/CreateFontDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RFontVO}
     */
    createFont(request) {
      return this.createFontWithHttpInfo(request)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 删除字体
     * @param {String} fontId fontId
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing HTTP response
     */
    deleteFontWithHttpInfo(fontId) {
      let postBody = null;

      // verify the required parameter 'fontId' is set
      if (fontId === undefined || fontId === null) {
        throw new Error("Missing the required parameter 'fontId' when calling deleteFont");
      }


      let pathParams = {
        'fontId': fontId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = null;

      return this.apiClient.callApi(
        '/panel/v1/font/{fontId}', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 删除字体
     * @param {String} fontId fontId
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}
     */
    deleteFont(fontId) {
      return this.deleteFontWithHttpInfo(fontId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 字体列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageFontVO} and HTTP response
     */
    listFontWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'page': opts['page'],
        'size': opts['size'],
        'sort': opts['sort']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageFontVO;

      return this.apiClient.callApi(
        '/panel/v1/font', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 字体列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageFontVO}
     */
    listFont(opts) {
      return this.listFontWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
