/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import CreateGorillaDTO from '../model/CreateGorillaDTO';
import RGorillaVO from '../model/RGorillaVO';
import RPageGorillaVO from '../model/RPageGorillaVO';

/**
* GorillaPanel service.
* @module api/GorillaPanelApi
* @version 1.1.1
*/
export default class GorillaPanelApi {

    /**
    * Constructs a new GorillaPanelApi. 
    * @alias module:api/GorillaPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 创建管理员
     * @param {module:model/CreateGorillaDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RGorillaVO} and HTTP response
     */
    createGorillaWithHttpInfo(request) {
      let postBody = request;

      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling createGorilla");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RGorillaVO;

      return this.apiClient.callApi(
        '/panel/v1/gorilla', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 创建管理员
     * @param {module:model/CreateGorillaDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RGorillaVO}
     */
    createGorilla(request) {
      return this.createGorillaWithHttpInfo(request)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 管理员列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageGorillaVO} and HTTP response
     */
    listGorillaWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'page': opts['page'],
        'size': opts['size'],
        'sort': opts['sort']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageGorillaVO;

      return this.apiClient.callApi(
        '/panel/v1/gorilla', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 管理员列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageGorillaVO}
     */
    listGorilla(opts) {
      return this.listGorillaWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 当前用户信息
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.accountNonExpired 
     * @param {Boolean} opts.accountNonLocked 
     * @param {String} opts.authorities0Authority 
     * @param {Boolean} opts.createdByAccountNonExpired 
     * @param {Boolean} opts.createdByAccountNonLocked 
     * @param {String} opts.createdByAuthorities0Authority 
     * @param {Boolean} opts.createdByCredentialsNonExpired 
     * @param {Boolean} opts.createdByDisabled 
     * @param {Boolean} opts.createdByEnabled 
     * @param {Boolean} opts.createdByExpired 
     * @param {Boolean} opts.createdByLocked 
     * @param {String} opts.createdByNickname 
     * @param {String} opts.createdByPassword 
     * @param {module:model/String} opts.createdByType 
     * @param {String} opts.createdByUsername 
     * @param {Date} opts.createdDate 
     * @param {Boolean} opts.credentialsNonExpired 
     * @param {Boolean} opts.disabled 
     * @param {Boolean} opts.enabled 
     * @param {Boolean} opts.expired 
     * @param {Boolean} opts.lastModifiedByAccountNonExpired 
     * @param {Boolean} opts.lastModifiedByAccountNonLocked 
     * @param {String} opts.lastModifiedByAuthorities0Authority 
     * @param {Boolean} opts.lastModifiedByCredentialsNonExpired 
     * @param {Boolean} opts.lastModifiedByDisabled 
     * @param {Boolean} opts.lastModifiedByEnabled 
     * @param {Boolean} opts.lastModifiedByExpired 
     * @param {Boolean} opts.lastModifiedByLocked 
     * @param {String} opts.lastModifiedByNickname 
     * @param {String} opts.lastModifiedByPassword 
     * @param {module:model/String} opts.lastModifiedByType 
     * @param {String} opts.lastModifiedByUsername 
     * @param {Date} opts.lastModifiedDate 
     * @param {Boolean} opts.locked 
     * @param {String} opts.nickname 
     * @param {String} opts.password 
     * @param {module:model/String} opts.type 
     * @param {String} opts.username 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RGorillaVO} and HTTP response
     */
    meWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'accountNonExpired': opts['accountNonExpired'],
        'accountNonLocked': opts['accountNonLocked'],
        'authorities[0].authority': opts['authorities0Authority'],
        'createdBy.accountNonExpired': opts['createdByAccountNonExpired'],
        'createdBy.accountNonLocked': opts['createdByAccountNonLocked'],
        'createdBy.authorities[0].authority': opts['createdByAuthorities0Authority'],
        'createdBy.credentialsNonExpired': opts['createdByCredentialsNonExpired'],
        'createdBy.disabled': opts['createdByDisabled'],
        'createdBy.enabled': opts['createdByEnabled'],
        'createdBy.expired': opts['createdByExpired'],
        'createdBy.locked': opts['createdByLocked'],
        'createdBy.nickname': opts['createdByNickname'],
        'createdBy.password': opts['createdByPassword'],
        'createdBy.type': opts['createdByType'],
        'createdBy.username': opts['createdByUsername'],
        'createdDate': opts['createdDate'],
        'credentialsNonExpired': opts['credentialsNonExpired'],
        'disabled': opts['disabled'],
        'enabled': opts['enabled'],
        'expired': opts['expired'],
        'lastModifiedBy.accountNonExpired': opts['lastModifiedByAccountNonExpired'],
        'lastModifiedBy.accountNonLocked': opts['lastModifiedByAccountNonLocked'],
        'lastModifiedBy.authorities[0].authority': opts['lastModifiedByAuthorities0Authority'],
        'lastModifiedBy.credentialsNonExpired': opts['lastModifiedByCredentialsNonExpired'],
        'lastModifiedBy.disabled': opts['lastModifiedByDisabled'],
        'lastModifiedBy.enabled': opts['lastModifiedByEnabled'],
        'lastModifiedBy.expired': opts['lastModifiedByExpired'],
        'lastModifiedBy.locked': opts['lastModifiedByLocked'],
        'lastModifiedBy.nickname': opts['lastModifiedByNickname'],
        'lastModifiedBy.password': opts['lastModifiedByPassword'],
        'lastModifiedBy.type': opts['lastModifiedByType'],
        'lastModifiedBy.username': opts['lastModifiedByUsername'],
        'lastModifiedDate': opts['lastModifiedDate'],
        'locked': opts['locked'],
        'nickname': opts['nickname'],
        'password': opts['password'],
        'type': opts['type'],
        'username': opts['username']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RGorillaVO;

      return this.apiClient.callApi(
        '/panel/v1/gorilla/me', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 当前用户信息
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.accountNonExpired 
     * @param {Boolean} opts.accountNonLocked 
     * @param {String} opts.authorities0Authority 
     * @param {Boolean} opts.createdByAccountNonExpired 
     * @param {Boolean} opts.createdByAccountNonLocked 
     * @param {String} opts.createdByAuthorities0Authority 
     * @param {Boolean} opts.createdByCredentialsNonExpired 
     * @param {Boolean} opts.createdByDisabled 
     * @param {Boolean} opts.createdByEnabled 
     * @param {Boolean} opts.createdByExpired 
     * @param {Boolean} opts.createdByLocked 
     * @param {String} opts.createdByNickname 
     * @param {String} opts.createdByPassword 
     * @param {module:model/String} opts.createdByType 
     * @param {String} opts.createdByUsername 
     * @param {Date} opts.createdDate 
     * @param {Boolean} opts.credentialsNonExpired 
     * @param {Boolean} opts.disabled 
     * @param {Boolean} opts.enabled 
     * @param {Boolean} opts.expired 
     * @param {Boolean} opts.lastModifiedByAccountNonExpired 
     * @param {Boolean} opts.lastModifiedByAccountNonLocked 
     * @param {String} opts.lastModifiedByAuthorities0Authority 
     * @param {Boolean} opts.lastModifiedByCredentialsNonExpired 
     * @param {Boolean} opts.lastModifiedByDisabled 
     * @param {Boolean} opts.lastModifiedByEnabled 
     * @param {Boolean} opts.lastModifiedByExpired 
     * @param {Boolean} opts.lastModifiedByLocked 
     * @param {String} opts.lastModifiedByNickname 
     * @param {String} opts.lastModifiedByPassword 
     * @param {module:model/String} opts.lastModifiedByType 
     * @param {String} opts.lastModifiedByUsername 
     * @param {Date} opts.lastModifiedDate 
     * @param {Boolean} opts.locked 
     * @param {String} opts.nickname 
     * @param {String} opts.password 
     * @param {module:model/String} opts.type 
     * @param {String} opts.username 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RGorillaVO}
     */
    me(opts) {
      return this.meWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
