/**
 * Api of Elsa Panel
 * Restful api.
 *
 * OpenAPI spec version: 1.1.1
 * Contact: cxl086@qq.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import CreateMusicDTO from '../model/CreateMusicDTO';
import RMusicVO from '../model/RMusicVO';
import RPageMusicVO from '../model/RPageMusicVO';

/**
* MusicPanel service.
* @module api/MusicPanelApi
* @version 1.1.1
*/
export default class MusicPanelApi {

    /**
    * Constructs a new MusicPanelApi. 
    * @alias module:api/MusicPanelApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 创建音乐
     * @param {module:model/CreateMusicDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RMusicVO} and HTTP response
     */
    createMusicWithHttpInfo(request) {
      let postBody = request;

      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling createMusic");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = RMusicVO;

      return this.apiClient.callApi(
        '/panel/v1/music', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 创建音乐
     * @param {module:model/CreateMusicDTO} request request
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RMusicVO}
     */
    createMusic(request) {
      return this.createMusicWithHttpInfo(request)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 删除音乐
     * @param {String} musicId musicId
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing HTTP response
     */
    deleteMusicWithHttpInfo(musicId) {
      let postBody = null;

      // verify the required parameter 'musicId' is set
      if (musicId === undefined || musicId === null) {
        throw new Error("Missing the required parameter 'musicId' when calling deleteMusic");
      }


      let pathParams = {
        'musicId': musicId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = null;

      return this.apiClient.callApi(
        '/panel/v1/music/{musicId}', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 删除音乐
     * @param {String} musicId musicId
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}
     */
    deleteMusic(musicId) {
      return this.deleteMusicWithHttpInfo(musicId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 音乐列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPageMusicVO} and HTTP response
     */
    listMusicWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'page': opts['page'],
        'size': opts['size'],
        'sort': opts['sort']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['apiKey'];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPageMusicVO;

      return this.apiClient.callApi(
        '/panel/v1/music', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 音乐列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.size 
     * @param {String} opts.sort 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPageMusicVO}
     */
    listMusic(opts) {
      return this.listMusicWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
