/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import ResultCodeListPpsAuthPermissionVo from '../model/ResultCodeListPpsAuthPermissionVo';

/**
* PpsAuth service.
* @module api/PpsAuthApi
* @version 1.0.0
*/
export default class PpsAuthApi {

    /**
    * Constructs a new PpsAuthApi. 
    * @alias module:api/PpsAuthApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 查询权限列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ResultCodeListPpsAuthPermissionVo} and HTTP response
     */
    getPermissionListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = ResultCodeListPpsAuthPermissionVo;

      return this.apiClient.callApi(
        '/ppsAuth/getPermissionList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询权限列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ResultCodeListPpsAuthPermissionVo}
     */
    getPermissionList() {
      return this.getPermissionListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
