/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsConfigPriceTemplateDto from '../model/PpsConfigPriceTemplateDto';
import ResultCode from '../model/ResultCode';
import ResultCodeListPpsConfigPriceTemplateVo from '../model/ResultCodeListPpsConfigPriceTemplateVo';

/**
* PpsConfig service.
* @module api/PpsConfigApi
* @version 1.0.0
*/
export default class PpsConfigApi {

    /**
    * Constructs a new PpsConfigApi. 
    * @alias module:api/PpsConfigApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 添加价格模板
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板接口字段
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ResultCode} and HTTP response
     */
    addPriceTemplateWithHttpInfo(ppsConfigPriceTemplateDto) {
      let postBody = ppsConfigPriceTemplateDto;

      // verify the required parameter 'ppsConfigPriceTemplateDto' is set
      if (ppsConfigPriceTemplateDto === undefined || ppsConfigPriceTemplateDto === null) {
        throw new Error("Missing the required parameter 'ppsConfigPriceTemplateDto' when calling addPriceTemplate");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = ResultCode;

      return this.apiClient.callApi(
        '/ppsConfig/addPriceTemplate', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 添加价格模板
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板接口字段
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ResultCode}
     */
    addPriceTemplate(ppsConfigPriceTemplateDto) {
      return this.addPriceTemplateWithHttpInfo(ppsConfigPriceTemplateDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询价格模板列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ResultCodeListPpsConfigPriceTemplateVo} and HTTP response
     */
    getPriceTemplateListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = ResultCodeListPpsConfigPriceTemplateVo;

      return this.apiClient.callApi(
        '/ppsConfig/getPriceTemplateList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询价格模板列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ResultCodeListPpsConfigPriceTemplateVo}
     */
    getPriceTemplateList() {
      return this.getPriceTemplateListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改价格模板
     * @param {Number} id 模板id
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板接口字段
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ResultCode} and HTTP response
     */
    updatePriceTemplateWithHttpInfo(id, ppsConfigPriceTemplateDto) {
      let postBody = ppsConfigPriceTemplateDto;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling updatePriceTemplate");
      }

      // verify the required parameter 'ppsConfigPriceTemplateDto' is set
      if (ppsConfigPriceTemplateDto === undefined || ppsConfigPriceTemplateDto === null) {
        throw new Error("Missing the required parameter 'ppsConfigPriceTemplateDto' when calling updatePriceTemplate");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = ResultCode;

      return this.apiClient.callApi(
        '/ppsConfig/updatePriceTemplate/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改价格模板
     * @param {Number} id 模板id
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板接口字段
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ResultCode}
     */
    updatePriceTemplate(id, ppsConfigPriceTemplateDto) {
      return this.updatePriceTemplateWithHttpInfo(id, ppsConfigPriceTemplateDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
