/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import ResultCode from '../model/ResultCode';

/**
* PpsLogin service.
* @module api/PpsLoginApi
* @version 1.0.0
*/
export default class PpsLoginApi {

    /**
    * Constructs a new PpsLoginApi. 
    * @alias module:api/PpsLoginApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 退出
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ResultCode} and HTTP response
     */
    exitWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = ResultCode;

      return this.apiClient.callApi(
        '/ppsLogin/exit', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 退出
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ResultCode}
     */
    exit() {
      return this.exitWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 登录
     * @param {String} username 用户名
     * @param {String} password 密码
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ResultCode} and HTTP response
     */
    loginWithHttpInfo(username, password) {
      let postBody = null;

      // verify the required parameter 'username' is set
      if (username === undefined || username === null) {
        throw new Error("Missing the required parameter 'username' when calling login");
      }

      // verify the required parameter 'password' is set
      if (password === undefined || password === null) {
        throw new Error("Missing the required parameter 'password' when calling login");
      }


      let pathParams = {
      };
      let queryParams = {
        'username': username,
        'password': password
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = ResultCode;

      return this.apiClient.callApi(
        '/ppsLogin/login', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 登录
     * @param {String} username 用户名
     * @param {String} password 密码
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ResultCode}
     */
    login(username, password) {
      return this.loginWithHttpInfo(username, password)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
